Subject: Re: [BUG] NetInstaller leaves bad dates
From: "Michael A Chase" <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 4 Mar 2002 23:01:37 -0800

----- Original Message -----
From: "David A. Cobb" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; "XEmacs NT Mailing List"
<[email-masked]>
Sent: Monday, March 04, 2002 16:43
Subject: Re: [BUG] NetInstaller leaves bad dates

> Win98se (4.10.2222), Fat32fs with multiple PMagic partitions
> Cygwin Netinstall 2.125.2.10
> Xemacs Netinstall 1.2.2.1.2.7 ( ! Wow ! )
> Lillypond Netinstall 2.96.jcn1
>
> With that much variation, I suspect the common point-of-failure may be
> Cygwin TAR 1.13.19-1

Setup.exe (Cygwin's install tool) has its own methods for extracting from
compressed tar files; it does not use tar, gunzip, or bunzip2.

The problem is more likely a system configuration issue.

> I think there is a known deficiency because the resolution of FAT32
> filesystem timestamps is 2-sec (vice 1-sec or less on a *Nix box)  For
> XEmacs, that could also be why installed *.el files appear newer than
> *.elc files.  Ummm - maybe that doesn't make sense either; maybe fixing
> the invalid dates causes that secondary problem.

The two second granularity in FAT file system dates shouldn't result in
invalid dates.  Are your system clock and timezone correct?  Do the dates of
the files being complained about appear reasonable to ls or dir?
--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Ask Smarter: http://www.tuxedo.org/~esr/faqs/smart-questions.html
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/